Bug 1272332 - Review Request: openstack-ec2-api - Support of EC2 API for OpenStack
Review Request: openstack-ec2-api - Support of EC2 API for OpenStack
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Haïkel Guémar
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1189543
  Show dependency treegraph
 
Reported: 2015-10-16 02:56 EDT by Marcos
Modified: 2016-01-12 02:52 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-12 02:52:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcos 2015-10-16 02:56:26 EDT
Spec URL: http://mferminl.web.cern.ch/mferminl/fedorapkg/openstack-ec2-api/openstack-ec2-api.spec
SRPM URL: http://mferminl.web.cern.ch/mferminl/fedorapkg/openstack-ec2-api/openstack-ec2-api-0.1.0-1.fc23.src.rpm
Description: Support of EC2 API for OpenStack. This project provides a standalone EC2 API service which pursues two goals:

- Implement VPC API which is now absent in nova's EC2 API
- Create a standalone service for EC2 API support which accommodates not only the VPC API but the rest of the EC2 API currently present in nova as well.

It doesn't replace existing nova EC2 API service in deployment, it gets installed to a different port (8788 by default).
Fedora Account System Username: mflobo

Here a successful koji scratch http://koji.fedoraproject.org/koji/taskinfo?taskID=11470252
Comment 1 Haïkel Guémar 2015-11-12 09:36:36 EST
* I suggest that you add automatic restarting
https://fedoraproject.org/wiki/Packaging:Systemd#Automatic_restarting

* Missing BuildRequires: systemd
It causes a FTBFS (Failure To Build From Sources) due to missing definition of _unitdir macros.

* I'd version the following BR/R: python-six, oslo libs, pbr, clients, etc.

needinfo or ping me on irc when it's done.
Comment 2 Upstream Release Monitoring 2015-11-13 05:51:17 EST
mflobo's scratch build of openstack-ec2-api-0.1.0-1.fc23.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11817395
Comment 3 Upstream Release Monitoring 2015-11-13 05:56:18 EST
mflobo's scratch build of openstack-ec2-api-0.1.0-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11817507
Comment 5 hguemar 2015-11-27 04:20:25 EST
* no packages should own %{python2_sitelib}/ , please drop this line
* services should be in an openstack-ec2-api binary package, so I'd move the following files in a separate %files section

%files
%{_bindir}/%{pypi_name}*
%dir %attr(0750, root, ec2api) %{_sysconfdir}/ec2api
%attr(0644, root, ec2api) %{_sysconfdir}/ec2api/api-paste.ini
%attr(0644, root, ec2api) %{_sysconfdir}/ec2api/ec2api.conf
%attr(0644, root, ec2api) %{_sysconfdir}/ec2api/policy.json
%{_unitdir}/openstack-ec2-api.service
%{_unitdir}/openstack-ec2-api-metadata.service
%{_unitdir}/openstack-ec2-api-s3.service
%{_unitdir}/openstack-ec2-api-manage.service
%dir %attr(0750, ec2api, ec2api) %{_localstatedir}/log/ec2api

* Then your main package should have a dependency on python-ec2-api
Requires:         python2-ec2-api = %{version}-%{release}

* LICENSE file should be marked %license
Comment 6 Upstream Release Monitoring 2015-11-27 09:07:36 EST
mflobo's scratch build of openstack-ec2-api-0.1.0-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11994628
Comment 7 Marcos 2015-11-27 09:09:21 EST
Hi Haikel,

Thank you for your review. I think I've achieved your comments. Please, check again here:

Spec URL: http://mferminl.web.cern.ch/mferminl/fedorapkg/openstack-ec2-api/openstack-ec2-api.spec
SRPM URL: http://mferminl.web.cern.ch/mferminl/fedorapkg/openstack-ec2-api/openstack-ec2-api-0.1.0-1.fc23.src.rpm

Here the successful scratch http://koji.fedoraproject.org/koji/taskinfo?taskID=11994628
Comment 8 hguemar 2015-12-01 04:30:51 EST
Looks good, I approve this package but it needs few changes:
* drop all README in package except the top-level one (they override each others)
* drop python{,3}-argparse, it's part of the standard library and prevent to install the python3 subpackage.
* license file was not marked %license in python3

I will import it then with the above fixes.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines
- Package does not contain duplicates in %files.
  Note: warning: File listed twice:
  /usr/share/doc/python2-ec2-api/README.rst
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DuplicateFiles
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file LICENSE is marked as %doc instead of %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Apache (v2.0) MIT/X11 (BSD like)", "Unknown
     or generated", "*No copyright* Apache (v2.0)". 96 files have unknown
     license. Detailed output of licensecheck in /home/haikel/1272332
     -openstack-ec2-api/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/python3.5/site-packages,
     /usr/lib/python3.5
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python3.5/site-
     packages, /usr/lib/systemd/system, /usr/lib/python3.5,
     /usr/lib/systemd
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-ec2-api , python3-ec2-api , python-ec2-api-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.13 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.13
INFO: Mock Version: 1.2.13
Finish: chroot init
INFO: installing package(s): /home/haikel/1272332-openstack-ec2-api/results/openstack-ec2-api-0.1.0-1.fc24.noarch.rpm /home/haikel/1272332-openstack-ec2-api/results/python2-ec2-api-0.1.0-1.fc24.noarch.rpm /home/haikel/1272332-openstack-ec2-api/results/python3-ec2-api-0.1.0-1.fc24.noarch.rpm /home/haikel/1272332-openstack-ec2-api/results/python-ec2-api-doc-0.1.0-1.fc24.noarch.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 24 install /home/haikel/1272332-openstack-ec2-api/results/openstack-ec2-api-0.1.0-1.fc24.noarch.rpm /home/haikel/1272332-openstack-ec2-api/results/python2-ec2-api-0.1.0-1.fc24.noarch.rpm /home/haikel/1272332-openstack-ec2-api/results/python3-ec2-api-0.1.0-1.fc24.noarch.rpm /home/haikel/1272332-openstack-ec2-api/results/python-ec2-api-doc-0.1.0-1.fc24.noarch.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: openstack-ec2-api-0.1.0-1.fc24.noarch.rpm
          python2-ec2-api-0.1.0-1.fc24.noarch.rpm
          python3-ec2-api-0.1.0-1.fc24.noarch.rpm
          python-ec2-api-doc-0.1.0-1.fc24.noarch.rpm
          openstack-ec2-api-0.1.0-1.fc24.src.rpm
openstack-ec2-api.noarch: W: no-documentation
openstack-ec2-api.noarch: W: non-standard-gid /etc/ec2api/policy.json ec2api
openstack-ec2-api.noarch: E: zero-length /etc/ec2api/policy.json
openstack-ec2-api.noarch: W: non-conffile-in-etc /etc/ec2api/policy.json
openstack-ec2-api.noarch: W: non-standard-gid /etc/ec2api/ec2api.conf ec2api
openstack-ec2-api.noarch: W: non-conffile-in-etc /etc/ec2api/ec2api.conf
openstack-ec2-api.noarch: W: non-standard-gid /etc/ec2api ec2api
openstack-ec2-api.noarch: E: non-standard-dir-perm /etc/ec2api 750
openstack-ec2-api.noarch: W: non-standard-gid /etc/ec2api/api-paste.ini ec2api
openstack-ec2-api.noarch: W: non-conffile-in-etc /etc/ec2api/api-paste.ini
openstack-ec2-api.noarch: W: dangling-relative-symlink /usr/bin/ec2-api-3 python3-ec2-api
openstack-ec2-api.noarch: W: dangling-relative-symlink /usr/bin/ec2-api-3.5 python3-ec2-api
openstack-ec2-api.noarch: W: non-standard-uid /var/log/ec2api ec2api
openstack-ec2-api.noarch: W: non-standard-gid /var/log/ec2api ec2api
openstack-ec2-api.noarch: E: non-standard-dir-perm /var/log/ec2api 750
openstack-ec2-api.noarch: W: log-files-without-logrotate ['/var/log/ec2api']
openstack-ec2-api.noarch: W: no-manual-page-for-binary ec2-api-metadata
openstack-ec2-api.noarch: W: no-manual-page-for-binary ec2-api-s3
openstack-ec2-api.noarch: W: no-manual-page-for-binary ec2-api-manage
openstack-ec2-api.noarch: W: no-manual-page-for-binary ec2-api-3
openstack-ec2-api.noarch: W: no-manual-page-for-binary ec2-api-3.5
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/api/__pycache__/internet_gateway.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/api/__pycache__/auth.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/functional/api/__pycache__/test_security_groups.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/openstack/common/__pycache__/__init__.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/api/__pycache__/route_table.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/api/__pycache__/key_pair.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/unit/__pycache__/__init__.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/unit/__pycache__/test_s3.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/functional/__pycache__/base.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/api/__pycache__/image.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/unit/__pycache__/test_api_init.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/unit/__pycache__/test_internet_gateway.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/unit/__pycache__/test_subnet.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/db/sqlalchemy/migrate_repo/versions/__pycache__/__init__.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/api/__pycache__/cloud.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/unit/__pycache__/test_common.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/api/__pycache__/common.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/unit/__pycache__/fakes.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/functional/api/__pycache__/test_key_pairs.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/unit/__pycache__/test_tag.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/unit/__pycache__/test_tools.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/unit/__pycache__/test_ec2_validate.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/api/__pycache__/address.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/functional/scenario/__pycache__/test_instances.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/s3/__pycache__/__init__.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/db/__pycache__/migration.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/openstack/common/__pycache__/threadgroup.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/unit/__pycache__/test_address.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/unit/__pycache__/test_key_pair.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/api/__pycache__/validator.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/unit/__pycache__/test_instance.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/unit/__pycache__/test_ec2utils.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/functional/scenario/__pycache__/test_vpc_addresses.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/s3/__pycache__/s3server.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/api/__pycache__/ec2utils.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/functional/api/__pycache__/test_vpcs.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/functional/api/__pycache__/__init__.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/functional/__pycache__/config.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/functional/scenario/__pycache__/test_instances_in_vpc.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/db/__pycache__/__init__.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/functional/__pycache__/__init__.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/api/__pycache__/vpc.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/unit/__pycache__/test_middleware.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/cmd/__pycache__/api.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/db/sqlalchemy/__pycache__/migration.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/__pycache__/i18n.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/metadata/__pycache__/api.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/openstack/common/__pycache__/local.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/functional/api/__pycache__/test_routes.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/unit/__pycache__/test_snapshot.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/functional/api/__pycache__/test_subnets.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/unit/__pycache__/test_apirequest.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/functional/api/__pycache__/test_instances_ebs.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/openstack/__pycache__/__init__.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/db/sqlalchemy/migrate_repo/__pycache__/manage.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/unit/__pycache__/matchers.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/db/__pycache__/api.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/api/__pycache__/faults.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/openstack/common/__pycache__/fileutils.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/db/sqlalchemy/__pycache__/api.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/__pycache__/wsgi.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/api/__pycache__/apirequest.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/cmd/__pycache__/manage.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/unit/__pycache__/test_route_table.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/unit/__pycache__/test_metadata_api.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/openstack/common/__pycache__/service.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/functional/api/__pycache__/test_addresses.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/api/__pycache__/__init__.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/__pycache__/service.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/functional/api/__pycache__/test_tags.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/functional/api/__pycache__/test_instances.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/unit/__pycache__/test_db_api.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/cmd/__pycache__/api_metadata.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/functional/api/__pycache__/test_images.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/functional/scenario/__pycache__/base.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/functional/__pycache__/ssh.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/db/sqlalchemy/__pycache__/models.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/__pycache__/utils.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/unit/__pycache__/test_faults.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/unit/__pycache__/test_dhcp_options.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/__pycache__/__init__.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/unit/__pycache__/base.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/api/__pycache__/volume.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/db/sqlalchemy/migrate_repo/versions/__pycache__/001_juno.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/api/__pycache__/dhcp_options.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/functional/__pycache__/botocoreclient.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/unit/__pycache__/test_availability_zone.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/api/__pycache__/network_interface.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/unit/__pycache__/test_clients.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/functional/api/__pycache__/test_volumes.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/functional/scenario/__pycache__/__init__.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/api/__pycache__/tag.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/functional/api/__pycache__/test_network_interfaces.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/unit/__pycache__/test_image.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/unit/__pycache__/fakes_request_response.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/unit/__pycache__/tools.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/openstack/common/__pycache__/loopingcall.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/functional/api/__pycache__/test_regions.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/functional/api/__pycache__/test_internet_gateways.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/functional/api/__pycache__/test_snapshots.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/openstack/common/__pycache__/_i18n.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/db/sqlalchemy/migrate_repo/__pycache__/__init__.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/metadata/__pycache__/__init__.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/__pycache__/__init__.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/__pycache__/version.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/unit/__pycache__/test_security_group.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/cmd/__pycache__/api_s3.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/openstack/common/__pycache__/eventlet_backdoor.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/__pycache__/paths.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/functional/api/__pycache__/test_instances_vpc.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/api/__pycache__/clients.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/__pycache__/config.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/unit/__pycache__/test_vpc.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/functional/scenario/__pycache__/test_ebs_instances.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/unit/__pycache__/test_network_interface.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/db/sqlalchemy/__pycache__/__init__.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/openstack/common/__pycache__/systemd.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/__pycache__/exception.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/api/__pycache__/instance.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/functional/api/__pycache__/test_dhcp_options.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/api/__pycache__/subnet.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/unit/__pycache__/test_metadata.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/api/__pycache__/availability_zone.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/unit/__pycache__/test_volume.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/api/__pycache__/security_group.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/api/__pycache__/snapshot.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/cmd/__pycache__/__init__.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/__pycache__/context.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/ec2api/tests/unit/__pycache__/test_context.cpython-35.opt-1.pyc
python3-ec2-api.noarch: W: no-manual-page-for-binary ec2-api-s3
python3-ec2-api.noarch: W: no-manual-page-for-binary ec2-api-3.5
python3-ec2-api.noarch: W: no-manual-page-for-binary ec2-api-3
python3-ec2-api.noarch: W: no-manual-page-for-binary ec2-api-metadata
python3-ec2-api.noarch: W: no-manual-page-for-binary python3-ec2-api
python3-ec2-api.noarch: W: no-manual-page-for-binary ec2-api-manage
5 packages and 0 specfiles checked; 3 errors, 153 warnings.




Requires
--------
python3-ec2-api (rpmlib, GLIBC filtered):
    /bin/bash
    /usr/bin/python3
    python(abi)
    python3-anyjson
    python3-argparse
    python3-babel
    python3-boto
    python3-cinderclient
    python3-eventlet
    python3-glanceclient
    python3-greenlet
    python3-httplib2
    python3-iso8601
    python3-jsonschema
    python3-keystoneclient
    python3-lxml
    python3-migrate
    python3-neutronclient
    python3-novaclient
    python3-oslo-concurrency
    python3-oslo-config
    python3-oslo-db
    python3-oslo-log
    python3-oslo-messaging
    python3-oslo-serialization
    python3-oslo-utils
    python3-paramiko
    python3-paste
    python3-paste-deploy
    python3-pbr
    python3-pyasn1
    python3-pyasn1-modules
    python3-routes
    python3-six
    python3-sqlalchemy
    python3-stevedore
    python3-webob

python2-ec2-api (rpmlib, GLIBC filtered):
    /bin/bash
    python(abi)

python-ec2-api-doc (rpmlib, GLIBC filtered):

openstack-ec2-api (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python3
    python-anyjson
    python-argparse
    python-babel
    python-boto
    python-cinderclient
    python-eventlet
    python-glanceclient
    python-greenlet
    python-httplib2
    python-iso8601
    python-jsonschema
    python-keystoneclient
    python-lxml
    python-migrate
    python-neutronclient
    python-novaclient
    python-oslo-concurrency
    python-oslo-config
    python-oslo-db
    python-oslo-log
    python-oslo-messaging
    python-oslo-serialization
    python-oslo-utils
    python-paramiko
    python-paste
    python-paste-deploy
    python-pbr
    python-pyasn1
    python-pyasn1-modules
    python-routes
    python-six
    python-sqlalchemy
    python-stevedore
    python-webob
    python2-ec2-api



Provides
--------
python3-ec2-api:
    python3-ec2-api

python2-ec2-api:
    python-ec2-api
    python-ec2-api(x86-64)
    python2-ec2-api

python-ec2-api-doc:
    python-ec2-api-doc

openstack-ec2-api:
    openstack-ec2-api



Source checksums
----------------
https://pypi.python.org/packages/source/e/ec2-api/ec2-api-0.1.0.tar.gz :
  CHECKSUM(SHA256) this package     : f4e2c6082a1043d46900a1a1c98a7d51c4a29821c08bfcdced6d8e75026cdb20
  CHECKSUM(SHA256) upstream package : f4e2c6082a1043d46900a1a1c98a7d51c4a29821c08bfcdced6d8e75026cdb20


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1272332 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 9 Upstream Release Monitoring 2015-12-01 08:33:08 EST
mflobo's scratch build of openstack-ec2-api-0.1.0-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12022457
Comment 10 Marcos 2015-12-01 08:36:17 EST
Hi Haikel,

Thank you again for the review. Here we go with the changes.

Spec URL: http://mferminl.web.cern.ch/mferminl/fedorapkg/openstack-ec2-api/openstack-ec2-api.spec
SRPM URL: http://mferminl.web.cern.ch/mferminl/fedorapkg/openstack-ec2-api/openstack-ec2-api-0.1.0-1.fc23.src.rpm

And the successful scratch is above this post.

Please, don't hesitate to let me know if more changes are needed.
Comment 11 hguemar 2016-01-11 17:14:58 EST
Could you submit a PR to add openstack-ec2-api in rdoinfo ?
https://github.com/redhat-openstack/rdoinfo/pull/134 (here's a sample, choose the core config and add your mail).

Then, you can just close this ticket.
Comment 12 Marcos 2016-01-12 02:52:35 EST
Hi Haikel,

Thank you, here is my PR https://github.com/redhat-openstack/rdoinfo/pull/137

Note You need to log in before you can comment on or make changes to this bug.